Bug 207459 - API review of IndexingAwareParserResultTask
API review of IndexingAwareParserResultTask
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Parsing & Indexing
7.2
All All
: P3 (vote)
: 7.2
Assigned To: apireviews
issues@editor
BACKGROUND_SCAN
: API_REVIEW, API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-18 15:04 UTC by Tomas Zezula
Modified: 2012-01-26 15:22 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments
Diff file (52.61 KB, patch)
2012-01-18 15:08 UTC, Tomas Zezula
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Zezula 2012-01-18 15:04:20 UTC
To keep the semantic compatibility in the background scan branch ParserResultTasks are not executed during the scan. But some of them, those running on local files, should be executed. To be able to mark those tasks to be executed a specialization of ParserResultTask allowing execution during scan was added - IndexingAwareParserResultTask. For JavaSourceTaskFactories constructors with TaskIndexingMode were added.
Comment 1 Tomas Zezula 2012-01-18 15:08:18 UTC
Created attachment 115024 [details]
Diff file
Comment 2 Jaroslav Tulach 2012-01-19 06:53:18 UTC
Y01 I was hoping the change will introduce @annotation to eliminate dealing with layers. The TaskIndexingMode parameter would then be specified in the @annotation rather then passed to super class.

Y02 TaskIndexingMode is missing any meaningful javadoc
Comment 3 Tomas Zezula 2012-01-19 08:52:07 UTC
Y01: There is an annotation @MimeRegistration.
The factories are registered in the MimeLookup as any other services.

Yo2: Fixed
Comment 4 Tomas Zezula 2012-01-26 15:22:15 UTC
Fixed jet-main 41985eb45913


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo